# Tcl package index file, version 1.0
# This file is sourced either when an application starts up or
# by a "package unknown" script.  It invokes the
# "package ifneeded" command to set up package-related
# information so that packages will be loaded automatically
# in response to "package require" commands.  When this
# script is sourced, the variable $dir must contain the
# full path name of this file's directory.

proc loadJava {dir} {
    if {![info exist ::env(CLASSPATH)]} {
	set ::env(CLASSPATH) ""
    } 
    set oldpath $::env(CLASSPATH)
    set ::env(CLASSPATH) "[file join $dir tclblend.jar]:$::env(CLASSPATH)"
    load [file join $dir libtclblend[info sharedlibextension]]
    set ::env(CLASSPATH) $oldpath
    rename loadJava {}
}

package ifneeded java 1.0 [list loadJava $dir]
